Ubuntu 15.10 freezes during operation.

Bug #1514233 reported by Gian Piero de Medici
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Ubuntu freezes during video playback operation when window opened MAXIMISED. The freeze occurs with Firefox 42.0, VideoLAN or Totem Movie Player, DOES NOT occur if window playing video is resized to anything but maximised. It just freezes occasionally since upgrade. Upgrade to wild wily.

---
ApportVersion: 2.19.1-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: piero 3117 F.... pulseaudio
DistroRelease: Ubuntu 15.10
HibernationDevice: RESUME=UUID=a8107c7e-93b2-48d0-b4a9-bb91c76fea50
InstallationDate: Installed on 2015-09-01 (72 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
MachineType: Hewlett-Packard HP 14 Notebook PC
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-18-generic.efi.signed root=UUID=e343fb82-8a28-4aa7-b323-c560226e41b5 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.2.0-18.22-generic 4.2.3
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-18-generic N/A
 linux-backports-modules-4.2.0-18-generic N/A
 linux-firmware 1.149.1
Tags: wily
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
Uname: Linux 4.2.0-18-generic x86_64
UpgradeStatus: Upgraded to wily on 2015-11-06 (6 days ago)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 10/28/2014
dmi.bios.vendor: Insyde
dmi.bios.version: F.32
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 220F
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 57.47
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrF.32:bd10/28/2014:svnHewlett-Packard:pnHP14NotebookPC:pvr0974120000405F00000620180:rvnHewlett-Packard:rn220F:rvr57.47:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP 14 Notebook PC
dmi.product.version: 0974120000405F00000620180
dmi.sys.vendor: Hewlett-Packard

description: updated
tags: removed: apport-package
summary: - package libavcodec-ffmpeg56 (not installed) failed to install/upgrade:
- conflicting packages - not installing libavcodec-ffmpeg56:amd64
+ Ubuntu 15.10 freezes during operation.
description: updated
information type: Public → Private
description: updated
information type: Private → Public
Revision history for this message
Andreas Cadhalpun (andreas-cadhalpun) wrote :

I can't imagine that Ubuntu freezing is an ffmpeg bug.
I guess you meant to file a bug against linux, so I'm reassigning this bug there.

But for this bug report to be useful you have to provide more information,
at least excerpts of /var/log/syslog from the time, when the freezing happens.

affects: ffmpeg (Ubuntu) → linux (Ubuntu)
Revision history for this message
Brad Figg (brad-figg) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1514233

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.3 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3-wily/

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected
description: updated
Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : CRDA.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : IwConfig.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : JournalErrors.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : Lspci.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : Lsusb.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : ProcEnviron.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : ProcModules.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : RfKill.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : UdevDb.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : WifiSyslog.txt

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : AlsaInfo.txt

apport information

description: updated
Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : CRDA.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : IwConfig.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : JournalErrors.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : Lspci.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : Lsusb.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : ProcEnviron.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : ProcModules.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : RfKill.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : UdevDb.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote : WifiSyslog.txt

apport information

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

I ran apport at 23:?? I then navigated to this very same page and scrolling down to view what apport had uploaded and while I was doing that at 23:04 lnx froze again.

I try running apport again:

piero@bianco:~$ sudo apport-collect 1514233
[sudo] password for piero:
dpkg-query: no packages found matching linux
piero@bianco:~$

seems without success.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
description: updated
Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

It is a laptop:
HP Notebook - 14-r220ng (ENERGY STAR) - L4G99EA

Changes made after upgrade:

->
libavcodec-ffmpeg-extra56
FFmpeg library with additional de/encoders for audio/video codecs
<-

->
gsettings set com.canonical.Unity always-show-menus true
<-

Reverted the above changes:

->
libavcodec-ffmpeg-extra56 will be removed with configuration
libavcodec-extra will be removed
libavcodec-ffmpeg56 (version 7:2.7.2-1build1) will be installed
<-

Also:

1. Last freeze I reported occurred while I was on this web page, as stated earlier, additionally I confirm I was NOT playing any media at that time.

2. I know reverted always-show-menus:

->
gsettings set com.canonical.Unity always-show-menus false
<-

3. I am instaling updates as they published.

4. Volume control is not working from keyboard (F7- F8+), otherwise working correctly from volume control on top right.

tags: added: bios-outdated-f.39
Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

As you suggested BIOS F.39 solves the volume control issue (was not working from keyboard);

$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
F.39
05/26/2015

It still is freezing though.
I do intend to try the newer kernel as soon as I can find some time for that.
Any other ideas how solve this issue?
I mean of the next kernel shows this too...then?
How bad are these hangs for the File-Sytems? Any suggestions about soft way to recover from the hangs?

Thanks

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

Running as of now on v4.3 kernel[0]

$ uname -r
4.3.0-040300-generic

uname -a
Linux bianco 4.3.0-040300-generic #201511020949 SMP Mon Nov 2 14:50:44 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

lsb_release -r
Release: 15.10

tags: added: latest-bios-f.39
removed: bios-outdated-f.39
Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

Greetings!

I had another freeze today at 09:00

So I am running now on 3.19.0-32-generic.

$ grub-install --version
grub-install (GRUB) 2.02~beta2-29

grep submenu /boot/grub/grub.cfg
grep gnulinux /boot/grub/grub.cfg

edit
/etc/defualts/grub
'Advanced options for Ubuntu>Ubuntu, with Linux 3.19.0-32-generic' (for versions before 2.00)
'gnulinux-advanced-e343fb82-8a28-4aa7-b323-c560226e41b5>gnulinux-3.19.0-32-generic-advanced-e343fb82-8a28-4aa7-b323-c560226e41b5'

$ sudo update-grub
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.3.0-040300-generic
Found initrd image: /boot/initrd.img-4.3.0-040300-generic
Found linux image: /boot/vmlinuz-4.2.0-18-generic
Found initrd image: /boot/initrd.img-4.2.0-18-generic
Found linux image: /boot/vmlinuz-3.19.0-32-generic
Found initrd image: /boot/initrd.img-3.19.0-32-generic
Found Windows Boot Manager on /dev/sda2@/EFI/Microsoft/Boot/bootmgfw.efi
Adding boot menu entry for EFI firmware configuration
done

reboot

~$ lsb_release -r
Release: 15.10

$uname -r
3.19.0-32-generic

Let's see if I get any hangs in the next days.

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

tags: added: kernel-bug-exists-upstream

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

GPdM, to clarify, did this problem not occur in a release prior to Wily?

Also, after the freeze occurs, are there any files in /var/crash ? If not, could you please capture the crash via https://wiki.ubuntu.com/DebuggingSystemCrash ?

tags: added: kernel-bug-exists-upstream-4.3
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

Hello Penalvch,
yes let us recap.
I did not have any freezes before upgrade to Wily.
All had been running smoothly for a couple of months on Vivid Vervet.
As you saw I have been moving from libavcodec-ffmpeg-56 to libavcodec-ffmpeg-extra56 (I reverted that later).
Something went wrong with ffmpeg: the bug submission is issue of an automated submittal.
I can't recall if the installation extra56 did not run smoothly due to a freeze BUT
if the automated submittal worked, then Wily was not been affected by a freeze just then.
As I was not much concerned at the time I was considering deleting the bug submission.
Then it happened: Wily froze during video playback. I was not expecting a kernel issue as all ran well during Sept and Oct.
I tested for the issue with the upstream kernel too as you saw and requested.
So I wasn't expecting the Kernel to be the issue, I intend try and capture the crash with 4.3.0.
On the other hand I am running 3.19.0-32-generic and in the past few days I am not experiencing any issues.

I saw the "Automatically generate crash reports for debugging" update an accepted the install.
Is this > please capture the crash via https://wiki.ubuntu.com/DebuggingSystemCrash
still relevant?

Revision history for this message
Spyros Theodoritsis (madmetal) wrote :

I also face freezing problems after upgrading to 15.10, no freezes at all with 15.04
At my system it happens randomly but always when playing Hedgewars in full screen.
http://ubuntuforums.org/showthread.php?t=2302474

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Spyros Theodoritsis, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Revision history for this message
Spyros Theodoritsis (madmetal) wrote :

Hello Christopher Penalver,
I run ubuntu-bug linux and here we are:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1518566

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

So I have been running 3.19.0-32-generic happily for some time now, I can test a newer kernel again.

Before I do that...

1. I saw and installed the ffmpeg update.

2. As per above post I installed the "Automatically generate crash reports for debugging" update.

My question is if this

> please capture the crash via https://wiki.ubuntu.com/DebuggingSystemCrash

is still relevant? Or will the automatically generated reports be sufficient?

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

GPdM:
>"My question is if this > please capture the crash via https://wiki.ubuntu.com/DebuggingSystemCrash is still relevant? Or will the automatically generated reports be sufficient?"

Are there any crash files in /var/crash after the freeze?

tags: added: regression-release
Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

Now testing the newer kernel 4.2.0-19 (as opposed to 4.2.0-18 where I first encountered the issue):

$ uname -r
4.2.0-19-generic

$ uname -r
4.2.0-19-generic

will then collect crash files from /var/crash if I find any.

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

...happened again this time with 4.2.0-19 on 02/12 at 09:30 but no crash files in /var/crash.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

GPdM, could you please test mainline 4.4-rc3 and advise to the results?

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

Now testing 4.4.0-040400rc3-generic:

$ lsb_release -r
Release: 15.10

$ uname -r
4.4.0-040400rc3-generic

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

Got another freeze at 23:59 Sun 22.09.2015

$ date
Mo 21. Dez 00:04:24 CET 2015
$ uname -a
Linux bianco 4.4.0-040400rc3-generic #201511300321 SMP Mon Nov 30 03:23:36 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

GPdM, the next step is to fully commit bisect from kernel 3.19 to 4.2 in order to identify the last good kernel commit, followed immediately by the first bad one. This will allow for a more expedited analysis of the root cause of your issue. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: kernel-bug-exists-upstream-4.4-rc3
removed: kernel-bug-exists-upstream-4.3
Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

Penalvch, I want COMMIT bisect from kernel 3.19 to 4.2. I test Vivid Kernel 3.19.0-37:

linux-headers-3.19.0-37_3.19.0-37.42_all.deb
linux-headers-3.19.0-37-generic_3.19.0-37.42_amd64.deb
linux-image-3.19.0-37-generic_3.19.0-37.42_amd64.deb

which is in between.

No trackball or network working with 3.19.0-37.

Same with 3.19.0-33.38 and 3.19.0-34.39.

These are same set of packages as when I was testing upstream kernel 4.4.3 (but which does give me network and trackball):

linux-headers-4.4.0-040400rc3_4.4.0-040400rc3.201511300321_all.deb
linux-headers-4.4.0-040400rc3-generic_4.4.0-040400rc3.201511300321_amd64.deb
linux-image-4.4.0-040400rc3-generic_4.4.0-040400rc3.201511300321_amd64.deb

What am I missing?

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Gian Piero de Medici, as the support article advises, switch over to bisecting the mainline (not Ubuntu) kernel.

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

Christopher M. Penalver (penalvch),

I am now testing
4.0.0-4.7 Ubuntu-4.0.0-4.7 == Mainline 4.0.7
which happens to be 1 Mainline up from my last good Mainline.

If this works I will be going back to bisecting the Ubuntu kernels.

$ uname -a
Linux bianco 4.0.0-4-generic #7-Ubuntu SMP Thu Jul 9 15:17:01 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Quite simply I needed "extra" to get network and trackball working:
sudo dpkg -i linux-image-extra-4.0.0-4-generic_4.0.0-4.7_amd64.deb
for some reason I don't need "extra" with the upstream 4.3x kernels.

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

Greetings!

I had to bisect the Mainline kernels after all.

The highest kernel version that is not showing the issue is: Ubuntu-4.1.0-3.3 (Mainstream 4.1.3).
The next kernel version is Ubuntu-4.2.0-7.7 (Mainstream 4.2.0) and that is showing the issue.
The tests in detail below.

How to proceed from here?

MAINLINE KERNELS

vivid linux
3.19.0-32.37 Ubuntu-3.19.0-32.37 3.19.8-ckt7 kernel used before upgrading to wily, does not have issue
3.19.0-33.38 Ubuntu-3.19.0-33.38 3.19.8-ckt7
3.19.0-37.42 Ubuntu-3.19.0-37.42 3.19.8-ckt9
3.19.0-39.44 Ubuntu-3.19.0-39.44 3.19.8-ckt9
3.19.0-41.46 Ubuntu-3.19.0-41.46 3.19.8-ckt10
3.19.0-42.48 Ubuntu-3.19.0-42.48 3.19.8-ckt10 (last Vivid kernel, not tested for issue)

Wily linux

3.19.0-20.20 Ubuntu-3.19.0-20.20 3.19.8
4.0.0-4.6 Ubuntu-4.0.0-4.6 4.0.7
4.0.0-4.7 Ubuntu-4.0.0-4.7 4.0.7 works fine, issue not found here
4.1.0-1.1 Ubuntu-4.1.0-1.1 4.1.0
4.1.0-2.2 Ubuntu-4.1.0-2.2 4.1.3
4.1.0-3.3 Ubuntu-4.1.0-3.3 4.1.3 works fine, issue not found here
4.2.0-7.7 Ubuntu-4.2.0-7.7 4.2.0 has issue
4.2.0-10.11 Ubuntu-4.2.0-10.11 4.2.0
4.2.0-10.12 Ubuntu-4.2.0-10.12 4.2.0 has issue
4.2.0-11.13 Ubuntu-4.2.0-11.13 4.2.1 has issue, at log in reporting an error with x
4.2.0-12.14 Ubuntu-4.2.0-12.14 4.2.1
4.2.0-14.16 Ubuntu-4.2.0-14.16 4.2.2 has issue
4.2.0-15.18 Ubuntu-4.2.0-15.18 4.2.3
4.2.0-16.19 Ubuntu-4.2.0-16.19 4.2.3 (Release Ref. https://launchpad.net/ubuntu/+source/linux-signed - not tested)
4.2.0-17.21 Ubuntu-4.2.0-17.21 4.2.3
4.2.0-18.22 Ubuntu-4.2.0-18.22 4.2.3 has issue
4.2.0-19.23 Ubuntu-4.2.0-19.23 4.2.6
4.2.0-21.25 Ubuntu-4.2.0-21.25 4.2.6
4.2.0-22.27 Ubuntu-4.2.0-22.27 4.2.6

Ref. http://people.canonical.com/~kernel/info/kernel-version-map.html

upstream kernel v4.3.0 has issue
upstream kernel v4.4.3 has issue

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

I need help with this:

"Take a look first to see what you can learn"(...)"Sometimes you can easily find the problem if it's in a subsystem that only has changes from a few patches.(...)" from https://wiki.ubuntu.com/Kernel/KernelBisection

I have attached the output from
git log --oneline Ubuntu-4.1.0-3.3..Ubuntu-4.2.0-7.7
as "gitlog-oneline-4.1.0-3.3--4.2.0-7.7-2016-0101.txt"

Does this output contain something that can help me save some steps?

Otherwise I get this:

piero@bianco:~/ubuntu-wily$ git bisect start Ubuntu-4.2.0-7.7 Ubuntu-4.1.0-3.3
Checking out files: 100% (7019/7019), done.
Previous HEAD position was 4aa705b... Merge tag 'armsoc-soc' of git://git.kernel.org/pub/scm/linux/kernel/git/arm/arm-soc
Switched to branch 'mybisect'
Your branch is up-to-date with 'origin/master'.
Bisecting: a merge base must be tested
[b953c0d234bc72e8489d3bf51a276c5c4ec85345] Linux 4.1

piero@bianco:~/ubuntu-wily$ git bisect good
Bisecting: 7460 revisions left to test after this (roughly 13 steps)
[4aa705b18bf17c4ff33ff7bbcd3f0c596443fa81] Merge tag 'armsoc-soc' of git://git.kernel.org/pub/scm/linux/kernel/git/arm/arm-soc

Does this mean I may have to compile and test up 13 Kernels?

Thank you!

Revision history for this message
Gian Piero de Medici (gpdemedici) wrote :

I learn from a post in another Bug (1518566) that this bug is known in upstream:
https://bugzilla.kernel.org/show_bug.cgi?id=109051

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.